Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361630 - enigmail refuses to import any public key
Summary: enigmail refuses to import any public key
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird-enigmail
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 14:58 UTC by Stephen Smalley
Modified: 2016-12-07 16:20 UTC (History)
1 user (show)

Fixed In Version: thunderbird-enigmail-1.9.6-1.fc25 thunderbird-enigmail-1.9.6-1.fc24 thunderbird-enigmail-1.9.6.1-1.fc25 thunderbird-enigmail-1.9.6.1-1.fc23 thunderbird-enigmail-1.9.6.1-1.fc24 thunderbird-enigmail-1.9.6.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 15:56:25 UTC


Attachments (Terms of Use)
Enigmail debugging log (deleted)
2016-07-29 14:58 UTC, Stephen Smalley
no flags Details

Description Stephen Smalley 2016-07-29 14:58:34 UTC
Created attachment 1185589 [details]
Enigmail debugging log

Description of problem:
After upgrading from F23 to F24, I am unable to import any additional public keys into Enigmail.  Enigmail says "Error in importing public key". Nothing evident in the debugging console or log.

Version-Release number of selected component (if applicable):
thunderbird-enigmail-1.9.3-2.fc24

How reproducible:
Every time

Steps to Reproduce:
1. Select Enigmail -> Key Management -> File -> Import Keys From File
2. Select any public key file, even one you export from Enigmail itself.
3. Watch it fail.

Actual results:
Enigmail will say "Error in importing public key".

Expected results:
Enigmail imports the key successfully.

Additional info:

Comment 1 Christian Dersch 2016-07-29 19:39:43 UTC
There is an update in updates-testing (and on its way to stable updates): https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cf029867e Contains fixes related to key import. Please check wether this fixes your issue :)

Comment 2 Stephen Smalley 2016-07-29 20:14:53 UTC
Unfortunately the bug still manifests even with that update.
Working around the bug by importing from the gpg2 commandline; then enigmail is able to use the key without problems.

Comment 3 Fedora Update System 2016-11-13 10:39:55 UTC
thunderbird-enigmail-1.9.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-96bb4772c0

Comment 4 Fedora Update System 2016-11-13 10:40:01 UTC
thunderbird-enigmail-1.9.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d96cb9e30

Comment 5 Fedora Update System 2016-11-13 10:40:06 UTC
thunderbird-enigmail-1.9.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-366957b1aa

Comment 6 Fedora Update System 2016-11-13 10:40:10 UTC
thunderbird-enigmail-1.9.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-170f93fc61

Comment 7 Fedora Update System 2016-11-13 18:21:07 UTC
thunderbird-enigmail-1.9.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-170f93fc61

Comment 8 Fedora Update System 2016-11-15 02:29:36 UTC
thunderbird-enigmail-1.9.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d96cb9e30

Comment 9 Fedora Update System 2016-11-15 14:23:15 UTC
thunderbird-enigmail-1.9.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-366957b1aa

Comment 10 Fedora Update System 2016-11-19 21:18:19 UTC
thunderbird-enigmail-1.9.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-20 21:53:36 UTC
thunderbird-enigmail-1.9.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96bb4772c0

Comment 12 Fedora Update System 2016-11-22 16:25:11 UTC
thunderbird-enigmail-1.9.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83e1e7ea42

Comment 13 Fedora Update System 2016-11-22 16:25:17 UTC
thunderbird-enigmail-1.9.6.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ddc72c6382

Comment 14 Fedora Update System 2016-11-22 16:25:22 UTC
thunderbird-enigmail-1.9.6.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a427f8421

Comment 15 Fedora Update System 2016-11-22 16:25:27 UTC
thunderbird-enigmail-1.9.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4677761d76

Comment 16 Fedora Update System 2016-11-22 22:22:26 UTC
thunderbird-enigmail-1.9.6.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a427f8421

Comment 17 Fedora Update System 2016-11-22 23:25:27 UTC
thunderbird-enigmail-1.9.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4677761d76

Comment 18 Fedora Update System 2016-11-23 03:53:41 UTC
thunderbird-enigmail-1.9.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-11-23 23:07:31 UTC
thunderbird-enigmail-1.9.6.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ddc72c6382

Comment 20 Fedora Update System 2016-11-28 01:55:10 UTC
thunderbird-enigmail-1.9.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83e1e7ea42

Comment 21 Fedora Update System 2016-12-01 15:56:25 UTC
thunderbird-enigmail-1.9.6.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-12-01 22:21:11 UTC
thunderbird-enigmail-1.9.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-12-06 10:25:01 UTC
thunderbird-enigmail-1.9.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-12-07 16:20:08 UTC
thunderbird-enigmail-1.9.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.